Subject: Re: bug#70357: 30.0.50; loadup.el, load nadvice before seq

From: Gerd Möllmann <[email-masked]>
Date: Mon, 15 Apr 2024 10:01:10 +0200

Gerd Möllmann <[email-masked]> writes:

> Gerd Möllmann <[email-masked]> writes:
>
>> Gerd Möllmann <[email-masked]> writes:
>>
>>> As I said, I have no idea yet what that means. I'll try a build without
>>> MPS a bit later.
>>
>> Works without MPS :-|. Only 347293 problems remaining...
>
> And the reason seems to be that in the non-MPS build purify-flag is nil,
> while it isn't in the MPS build. That was too easy. Only (1- 347293)
> problems remaining :-).

Erm, which begs the question if this answers the FIXME, maybe?
Depending on what the "final" dump is...

    (when (and purify-flag ;FIXME: Is this a reliable test of the final dump?
               (eq cl--generic-compiler #'byte-compile))
      ;; We don't want to preload the byte-compiler!!
      (error